> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/geopard-api-pyyntojen-yleiskatsaus/muistiinpanot-neulat/28.-mutaatio-tallenna-useita-notes-merkintoja-eratoiminto.md).

# 28. Mutaatio: Tallenna useita "Notes"-merkintöjä, erätoiminto

Tämä mutaatio antaa sinun liittää useita Muistiinpanoja määritettyyn Peltoon.

{% hint style="success" %}
Tallennettavien Muistiinpanojen enimmäismäärä on 25.
{% endhint %}

{% hint style="success" %}
Lisää `uuid` ominaisuus syötteeseen päivittääksesi Muistiinpanon.
{% endhint %}

* Muistiinpano voidaan liittää Peltoon sen ainutlaatuisen tunnisteen kautta `fieldUuid,`  liittääksesi siihen liittyvään Maaperädatasettiin via `soilDatasetUuid`, ZonesMapiin via `vectorAnalysisMapUuid`.
* Muistiinpanon koordinaatti voidaan asettaa käyttämällä `centroid` attribuuttia, joka vaatii määritellyt `latitude` ja `longitude` arvot.&#x20;
* Muistiinpanon tyyppi voidaan määrittää käyttämällä `tyyppi` attribuuttia, jonka hyväksyttävät arvot ovat `PLANNED` tai `REAL`.&#x20;
* Muistiinpanon kuvaus voidaan antaa käyttämällä `comment` attribuuttia. Jos kuvauksen täytyy olla monirivinen, `comment` attribuutin tulisi sisältää merkkijono, jossa on rivinvaihtomerkit `\\n` erottamaan rivit. Esimerkiksi: `"Ensimmäinen rivi on tässä\\nToinen rivi on tässä.\\nKolmas rivi on tässä."`.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutaatio BatchSaveNotes {
  saveNotes(input:{
    notes: [{
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: PLANNED,
      comment: "Erä tallennus: 1",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      uuid: "531d4cc4-b464-435c-8bb5-464cc13fcafa",
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: REAL,
      comment: "Eräpäivitys: 1",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: REAL,
      comment: "Erä tallennus: 2",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: REAL,
      comment: "Erä tallennus: 2",
      soilDatasetUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }
  ]
  } ) {
    uuid
    fieldUuid
    luontipäivä
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/geopard-api-pyyntojen-yleiskatsaus/muistiinpanot-neulat/28.-mutaatio-tallenna-useita-notes-merkintoja-eratoiminto.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
